<template>
  <c-page title="信用证查询">
    <div class="eContainer">
      <el-form
        :model="model"
        :rules="rules"
        ref="modelForm"
        label-width="150px"
        size="small"
      >
        <!--PD000058 -->
        <c-tabs :value="tabVal" ref="elment" type="card" @tab-click="tabClick">
          <el-tab-pane label="菜单" name="sel">
              <c-content>
            <m-sel :model="model" :codes="codes" />
            </c-content>
          </el-tab-pane>
        </c-tabs>
      </el-form>
    </div>
  </c-page>
</template>
<script>
import Utils from "~/utils/index";
import Api from "~/service/Api";
import CodeTable from "~/config/CodeTable";
import Ditsel from "~/model/Ditsel";
import CommonProcess from "~/mixin/CommonProcess";
import Pattern from "~/model/Ditsel/Pattern";
import Sel from "./Sel";

export default {
  name: "Ditsel",
  components: {
    "m-sel": Sel,
  },
  provide() {
    return {
      root: this,
    };
  },
  mixins: [CommonProcess], // 里面包含了Default、Check等的公共处理
  data() {
    return {
      tabVal: "sel",
      trnName: "ditsel",
      model: new Ditsel().data,
      rules: Pattern,
      codes: {},
    };
  },
  methods: {},
  created: async function () {
    console.log("进入ditsel交易");
    let rtnmsg = await Api.post("ditsel/init", { params: {} });
    if (rtnmsg.respCode == SUCCESS) {
      //TODO 处理数据逻辑
      Utils.copyValueFromVO(this.model, rtnmsg.data);
    } else {
      this.$notify.error({ title: "错误", message: "服务请求失败！" });
    }
  },
};
</script>
<style>
</style>
